%define pkg ulex
Name: ocaml-%pkg
Version: 0.9
Release: alt1

Summary: a Unicode lexer generator for Objective Caml
License: MIT-like
Group: Development/ML
Url: http://www.eleves.ens.fr/home/frisch/soft.html
Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: http://www.cduce.org/download/%pkg-%version.tar.gz

BuildPreReq: ocaml findlib
Requires: ocaml-runtime

%description
ulex is a lexer generator for Unicode and OCaml.

ulex adds a new kind of expression to OCaml: lexer definitions.
Unlike ocamllex, lexers work on stream of Unicode code points, not bytes.

%prep
%setup -n %pkg-%version
%define ocamllibdir %_libdir/ocaml/site-lib/
%define ofnd ocamlfind
subst 's,%ofnd install,%ofnd install -destdir %buildroot/%ocamllibdir,' Makefile

%build
%make

%install
mkdir -p %buildroot/%ocamllibdir
%makeinstall

%files
%ocamllibdir/%pkg
%doc README

%changelog
* Thu Jul 20 2006 Alex V. Myltsev <avm@altlinux.ru> 0.9-alt1
- New version (for new camlp4).

* Thu Mar 09 2006 Alex V. Myltsev <avm@altlinux.ru> 0.8-alt1
- Initial build for Sisyphus.

